Request Body
Other The Employee Object fields.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POSTs a request when the employee object has been updated in the Zeal dashboard.
| attribute | type | description |
|---|---|---|
| test | boolean | Whether the employee was updated in Test Mode |
| type | string | The operation that was applied to this employee update |
{
"type": "update",
"test": true,
"companyID": "083472985",
"employeeID": "1234567890",
"onboarded": true,
"employment_status": "live",
"first_name": "Erlich",
"middle_initial": "A",
"last_name": "Bachman",
"dob": "1990-01-01",
"start_date": "2023-05-01T20:46:27.961Z",
"term_date": null,
"ssn": "123456789",
"phone_number": "+13456778934",
"email": "test@demo.com",
"title": "Manager",
"workLocationID": "123456789012345",
"address": "1 Market St.",
"address_line2": null,
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"default_pay_schedule": "daily",
"default_wage": 20,
"default_ot_wage": 30,
"default_dt_wage": 40,
"is_943": false,
"is_scheduleH": false,
"metadata": {},
"business_name": "Test Company",
"timestamp": "2024-01-21T21:29:42Z",
"instant_pay_enabled": true
}